%%%%%%%%%% adesc_reconst.m %%%%%%%%%%
function [HH] = adesc_reconst(at,h_str,HH_str,M_str,tgrid,Ng,... 
                L, Lf, Lc, Ls, Lb,is_odd, v_edges, in_edges)
%  Reconstructs the frequency response "HH" from the basis 
%  coefficients "at". 
%
J = sqrt(-1);
a = at(:);
h = eval(h_str);
hc = crmz_rotate(zeropad(h,Ng-L), -Ls);
eval(HH_str);
W = 2*pi*v_edges*([0:(Lf-1)]+(~is_odd)*0.5);
Mb = eval(M_str);
HH(in_edges) = Mb * a;
%%%%%%%%%% End adesc_reconst.m %%%%%%%%%%
